*python_ptable_VarValue_VarName.sps.
BEGIN PROGRAM.
import spss, spssdata
spss.Submit("GET FILE='/examples/data/Employee data.sav'.")
data=spssdata.Spssdata(indexes=('jobcat','gender'),omitmissing=True)
data.makemvchecker()
jobcats={1:{'f':0,'m':0},2:{'f':0,'m':0},3:{'f':0,'m':0}}
# Read the data and store gender counts for employment categories
for row in data:
   cat=int(row.jobcat)
   jobcats[cat][row.gender]+=1
data.CClose()
# Create a list of cell values for the pivot table
cell_list=[]
for cat in sorted(jobcats):
   testval = cmp(jobcats[cat]['f'],jobcats[cat]['m'])
   if testval==0:
      cell_list.append("Equal")
   else:
      cell_list.append(spss.CellText.VarValue(1,{1:'f',-1:'m'}[testval]))
# Create the pivot table
spss.StartProcedure("myorganization.com.SimpleTableDemo")
table = spss.BasePivotTable("Majority " + spss.GetVariableLabel(1) + \
                             " by " + spss.GetVariableLabel(4),
                             "OMS table subtype")
table.SimplePivotTable(rowdim = spss.GetVariableLabel(4),
                       rowlabels = [spss.CellText.VarValue(4,1),
                                    spss.CellText.VarValue(4,2),
                                    spss.CellText.VarValue(4,3)],
                       collabels = [spss.CellText.VarName(1)],
                       cells = cell_list)
spss.EndProcedure()
END PROGRAM.
